# Generated from friendly_code-2.0.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name friendly_code

Name: rubygem-%{gem_name}
Version: 2.0.1
Release: 1%{?dist}
Summary: Generate user-friendly, pseudo-random codes without ambiguous letters  or numbers (e.g. 0 vs O vs o)
License: MIT
URL: https://github.com/swanson/friendly_code
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(minitest) >= 5.8
# BuildRequires: rubygem(minitest) < 6
BuildArch: noarch

%description
Generate user-friendly, pseudo-random codes without ambiguous letters
or numbers (e.g. 0 vs O vs o).
For scenarios where only computers will be interacting, this is probably 
the way to go. But when the interaction involves a human, we want to remove
ambigouity to improve accessibility and ease of reading and entering data.
Use cases:
* Entering code sent via SMS into a web page or app
* Entering code from printed material into a web page or app.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}


%changelog
* Mon Sep 13 2021 mockbuilder - 2.0.1-1
- Initial package
